
#ifndef _BLOCK
#define _BLOCK

#include "hdc.h"

struct pointint
{
	int x;
	int y;
};


struct pointd
{
	double x;
	double y;
};

struct point
{
	long x;
	long y;
};

struct area
{
	point start;
	point end;
};

struct CHARDATA
{
	char *value;
	long h;
	long w;
	point p;
};

struct GAZOUDATA
{
	long num;
	double hscale;
	double wscale;
	point p;
};

class BLOCK
{
	point start;
	CHARDATA *chardata;
	GAZOUDATA *gazoudata;
public:
	point getstart(){return start;}
	CHARDATA *getchardata(){return chardata;}
	GAZOUDATA *getgazoudata(){return gazoudata;}
	void setstart(point p){start=p;}
	void setchardata(CHARDATA *p){chardata=p;}
	void setgazoudata(GAZOUDATA *p){gazoudata=p;}
};

point zero={0,0};
pointd zerod={0,0};

//--------------------------------------

BOOL tonari(point p1,point p2)
{
	if(abs(p1.x-p2.x)>1 || abs(p1.y-p2.y)>1 ) return FALSE;
	else return TRUE;
}

#endif _BLOCK